%global plugin_name defaults 
%global plugin_human_name Wordpress MU new blog defaults

Name:		wordpress-mu-plugin-%{plugin_name}
# This does not come from wordpress.org, so I made my own plugin_name and plugin_human_name
# I spoke to ianweller about this and he said just to comment the spec file
Version:	1.2.3
Release:	4%{?dist}
Summary:	%{plugin_human_name} plugin for WordPress MU

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://wpmudev.org/project/New-Blog-Defaults
Source0:	http://wpmudev.org/download/503434057_cets_new_blog_defaults.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	wordpress-mu
BuildArch:	noarch

%description

This package allows you to set various defaults to automatically
apply to new blogs, such as the default theme, etc.

This package is built for use with WordPress MU (wordpress-mu),
not regular WordPress.

%prep
%setup -q -c

%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/wordpress-mu/wp-content/mu-plugins/
sed -e 's/\r//g' readme.txt > readme.txt.fixed && mv readme.txt.fixed readme.txt
cp -a cets_blog_defaults.php %{buildroot}%{_datadir}/wordpress-mu/wp-content/mu-plugins/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/wordpress-mu/wp-content/mu-plugins/cets_blog_defaults.php
%doc readme.txt

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 1 2009 Nick Bebout <nb@fedoraproject.org> - 1.2.3-3
- Adding changelog entry because 1.2.3-2 was missing one
* Wed Jul 1 2009 Nick Bebout <nb@fedoraproject.org> - 1.2.3-2
- Fixing description
* Sun Jun 21 2009 Nick Bebout <nb@fedoraproject.org> - 1.2.3-1
- Initial Fedora package for this plugin based on 1.2.3 of upstream

